# Class PixelInCell

Object
CodeList<PixelInCell>
PixelInCell

All Implemented Interfaces:
  `Serializable, Comparable<PixelInCell>`

@UML(identifier="CD_PixelInCell", specification=ISO_19111) public final class PixelInCell extends CodeList<PixelInCell>
Specification of the way the image grid is associated with the image data attributes.

This code list is similar to `PixelOrientation` except that the latter is more clearly restricted to the two-dimensional case.

Since:
  1.0
See Also:
  - `PixelOrientation`
  - Serialized Form

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class CodeList

  `CodeList​.Filter`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final PixelInCell`
  `CELL_CENTER`
  The origin of the image coordinate system is the centre of a grid cell or image pixel.
  `static final PixelInCell`
  `CELL_CORNER`
  The origin of the image coordinate system is the corner of a grid cell, or half-way between the centres of adjacent image pixels.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PixelInCell[]`
  `family()`
  Returns the list of enumerations of the same kind as this enum.
  `static PixelInCell`
  `valueOf(String code)`
  Returns the pixel in cell that matches the given string, or returns a new one if none match it.
  `static PixelInCell[]`
  `values()`
  Returns the list of `PixelInCell`s.

  ### Methods inherited from class CodeList

  `compareTo, identifier, name, names, ordinal, readResolve, toString, valueOf, valueOf`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### CELL_CENTER

    @UML(identifier="cell center", obligation=CONDITIONAL, specification=ISO_19111) public static final PixelInCell CELL_CENTER
    The origin of the image coordinate system is the centre of a grid cell or image pixel.
    See Also:
      - `PixelOrientation​.CENTER`

  - ### CELL_CORNER

    @UML(identifier="cell corner", obligation=CONDITIONAL, specification=ISO_19111) public static final PixelInCell CELL_CORNER
    The origin of the image coordinate system is the corner of a grid cell, or half-way between the centres of adjacent image pixels.
    See Also:
      - `PixelOrientation​.LOWER_LEFT`

- ## Method Details

  - ### values

    public static PixelInCell[] values()
    Returns the list of `PixelInCell`s.
    Returns:
      The list of codes declared in the current JVM.

  - ### family

    public PixelInCell[] family()
    Returns the list of enumerations of the same kind as this enum.
    Specified by:
      `family` in class `CodeList<PixelInCell>`
    Returns:
      The codes of the same kind as this code.

  - ### valueOf

    public static PixelInCell valueOf(String code)
    Returns the pixel in cell that matches the given string, or returns a new one if none match it.
    Parameters:
      `code` - The name of the code to fetch or to create.
    Returns:
      A code matching the given name.